#!/bin/bash

# install build prequisites
apt-get install ruby ruby-dev rubygems build-essential rpm -y
gem install --no-ri --no-rdoc fpm 

# install go
wget https://dl.google.com/go/go1.10.2.linux-amd64.tar.gz -O go1.10.2.linux-amd64.tar.gz
tar -C /usr/local -xzf go1.10.2.linux-amd64.tar.gz

GORC=~/gorc
GOPATH=~/go
# set the environment variables
echo 'PATH=$PATH:/usr/local/go/bin' > ${GORC}
echo 'GOPATH=${GOPATH}' >> ${GORC}
source ${GORC}

mkdir $GOPATH

# get telegraf from influx repo
cd $GOPATH
go get -d github.com/influxdata/telegraf

# rebase to it-innovation repo
cd $GOPATH/src/github.com/influxdata/telegraf
git remote add it-innovation https://github.com/it-innovation/telegraf.git
git pull --rebase it-innovation master

# build telegraf
make

# build the packages
# chmod 755 ./scripts/*.sh
# make package

# git push it-innovation





